#ifndef _CPPSIDE_PIPLIB_H
#define _CPPSIDE_PIPLIB_H

#include "flmaths.h"

#ifdef _IN_GHC_
typedef void PipQuast;
#endif

#ifdef __cplusplus
extern "C" {
#endif

PipQuast *pip_c(FIneq_system *ineqs, FIneq_system *constraints,
		int integer_sol);
void freeQuast_c(PipQuast *q); 
FMatrix **getLeaf_c(PipQuast *q);
int isList_c(PipQuast *q);
PipQuast *getThen_c(PipQuast *q);
PipQuast *getElse_c(PipQuast *q);
FMatrix *getCond_c(PipQuast *q);
void **getNewParams_c(PipQuast *q);

#ifdef __cplusplus
}
#endif

/* !def _CPPSIDE_PIPLIB_H */
#endif
