----------------------------------------------------------------------------
--
-- Module	: HXML
-- Copyright	: (C) 2001-2002 Joe English.  Freely redistributable.
-- License	: "MIT-style"
--
-- Author	: Joe English <jenglish@flightlab.com>
-- Stability	: experimental
-- Portability	: portable
--
-- $Id: HXML.hs 3381 2006-11-07 15:33:59Z schulte $
--
----------------------------------------------------------------------------
--
-- Package module for HXML -- just reexports all the public modules.
--
-- 1 Nov 2001
--

module HXML.HXML 
    ( module HXML.XML
    , module HXML.Tree
    , module HXML.PrintXML

    , parseXML
    ) where

import HXML.XML
import HXML.XMLParse
import HXML.Tree
import HXML.TreeBuild
import HXML.PrintXML

parseXML :: String -> Tree XMLNode
parseXML = buildTree . parseDocument

-- *EOF*
