module ISS.Language.Language (ISS.Language.Language.languageText, ISS.Language.Language.languageParseError, ISS.Language.Language.languageBuildText) where

import ISS.Language.LanguageDE

-- |Retrieves a certain language string (identified by a string)
languageText :: String -> String
languageText = ISS.Language.LanguageDE.languageText

-- |Retrieves a certain language string (identified by a string) and inserts
--  some given strings
languageBuildText :: String -> [String] -> String
languageBuildText = ISS.Language.LanguageDE.languageBuildText

-- |Constructs a parse error message out of additional information about the
--  file, in which parsing failed, the reason of the error and the line in the
--  input file, at which the error occurred
languageParseError :: String -> String -> Integer -> String
languageParseError = ISS.Language.LanguageDE.languageParseError
