module CfFADA.FilledCfGraph
    ( GraphID(..), FilledCfgEdgeData(..)
    )
where


import CfFADA.IterationVector
import LoopoDS

-- type FilledCfGraph = Graph CfgNodeData FilledCfgEdgeData

data GraphID b = GNodeID NodeID | GEdge (EdgeInfo b) | GIterVector IterationVector deriving (Eq)
instance Show b => Show (GraphID b) where
    show (GNodeID a )    = show (a)
    show (GEdge a )      = show (a)
    show (GIterVector a) = show (a)


data FilledCfgEdgeData =
    FilledCfgEdgeData CfgEdgeType (Maybe (StatementID, Statement, Maybe Access))

instance Show (FilledCfgEdgeData) where
    show (FilledCfgEdgeData a Nothing) = show (a)
    show (FilledCfgEdgeData a (Just b)) = show (a) ++ "," ++ show (b)


