{-# OPTIONS -fglasgow-exts #-}
module InsertIfs.ParserDefs ( P, ParserState(..) ) where

import Control.Monad
import Control.Monad.Error
import Control.Monad.State

import InsertIfs.DS

-- |
-- The parser's monad.
--
type P a = State ParserState a

--
-- The parser's state.
--
data ParserState = ParserState { psRPid :: String
			       , psIfConstraint :: String
                               , psUseCommunication :: Bool
			       , psCloogStmtString :: String
			       }

