-- |
-- Decision Trees and combinators for building them.
-- Please use the combinators to generate @DTree@s when possible,
-- only construct @DTree@s explicitly when necessary.
--
-- Author: Armin Groesslinger
--
-- Version: $Id: DTree.hs 3090 2005-11-19 19:10:54Z groessli $
--
module LMath.Types.DTree
  ( module LMath.Types.DTree.DTree,
    module LMath.Types.DTree.DTreeGen,
    module LMath.Types.DTree.Contexts,
    module LMath.Types.DTree.Merge
  )
where

import LMath.Types.DTree.DTree
import LMath.Types.DTree.DTreeGen
import LMath.Types.DTree.Contexts
import LMath.Types.DTree.Merge
